Update budget

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
PUT /data/budgets/{instance_id}

Update a budget with data provided in the request body. JSON format is expected.

Path parameters

  • instance_id string(uuid) Required
application/json

Body Required

  • name string

Responses

  • 200 application/json

    Budget updated successfully

    Hide response attributes Show response attributes object
    • id string(uuid)
    • project_id string(uuid)
    • name string
    • created_at string(date-time)
    • updated_at string(date-time)
  • 400

    Invalid data format or validation error

PUT /data/budgets/{instance_id}
curl \
 --request PUT 'http://api.example.com/data/budgets/a24a6ea4-ce75-4665-a070-57453082c25' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"name":"Updated Budget Q1"}'
Request examples
{
  "name": "Updated Budget Q1"
}
Response examples (200)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "project_id": "b24a6ea4-ce75-4665-a070-57453082c25",
  "name": "Updated Budget Q1",
  "created_at": "2024-01-15T10:30:00Z",
  "updated_at": "2024-01-15T11:00:00Z"
}